# Generated by Django 4.1.7 on 2023-04-14 14:42

from decimal import Decimal
from django.db import migrations, models
import django.db.models.deletion
import djmoney.models.fields
import djmoney.models.validators


class Migration(migrations.Migration):

    dependencies = [
        ('payment_app', '0025_delete_refund'),
    ]

    operations = [
        migrations.CreateModel(
            name='Refund',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount_refunded_currency', djmoney.models.fields.CurrencyField(choices=[('USD', 'USD')], default='USD', editable=False, max_length=3)),
                ('amount_refunded', djmoney.models.fields.MoneyField(currency_choices=[('USD', 'USD')], decimal_places=2, default=Decimal('0.00'), default_currency='USD', max_digits=14, validators=[djmoney.models.validators.MinMoneyValidator(0)], verbose_name='Deposit')),
                ('status', models.CharField(max_length=30, verbose_name='Status')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Created at')),
                ('order', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='refund', to='payment_app.order', verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Refund',
                'verbose_name_plural': 'Refunds',
            },
        ),
    ]
